package com.gyee.frame.common.conf;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 预警配置
 */
@Component
@ConfigurationProperties(prefix = "zmconfig")
public class ZmConfig {


    private static List<String> mhskey;
    private static List<String> mhspoint;
    private static List<String> nsskey;
    private static List<String> nsspoint;
    private static List<String> qskey;
    private static List<String> qspoint;
    private static List<String> sbqkey;
    private static List<String> sbqpoint;
    private static List<String> xskey;
    private static List<String> xspoint;
    private static List<String> dwkkey;
    private static List<String> dwkpoint;
    private static List<String> plyqkey;
    private static List<String> plyqpoint;
    private static List<String> pleqkey;
    private static List<String> pleqpoint;
    private static List<String> mchkey;
    private static List<String> mchpoint;
    private static List<String> xhkey;
    private static List<String> xhpoint;
    private static List<String> hzjkey;
    private static List<String> hzjpoint;

    public static List<String> getHzjkey() {
        return hzjkey;
    }

    public void setHzjkey(List<String> hzjkey) {
        ZmConfig.hzjkey = hzjkey;
    }

    public static List<String> getHzjpoint() {
        return hzjpoint;
    }

    public  void setHzjpoint(List<String> hzjpoint) {
        ZmConfig.hzjpoint = hzjpoint;
    }

    public static List<String> getMhskey() {
        return mhskey;
    }

    public static List<String> getNsskey() {
        return nsskey;
    }


    public  void setNsskey(List<String> nsskey) {
        ZmConfig.nsskey = nsskey;
    }

    public static List<String> getNsspoint() {
        return nsspoint;
    }

    public  void setNsspoint(List<String> nsspoint) {
        ZmConfig.nsspoint = nsspoint;
    }

    public static List<String> getQskey() {
        return qskey;
    }

    public  void setQskey(List<String> qskey) {
        ZmConfig.qskey = qskey;
    }

    public static List<String> getQspoint() {
        return qspoint;
    }

    public  void setQspoint(List<String> qspoint) {
        ZmConfig.qspoint = qspoint;
    }

    public static List<String> getSbqkey() {
        return sbqkey;
    }

    public  void setSbqkey(List<String> sbqkey) {
        ZmConfig.sbqkey = sbqkey;
    }

    public static List<String> getSbqpoint() {
        return sbqpoint;
    }

    public  void setSbqpoint(List<String> sbqpoint) {
        ZmConfig.sbqpoint = sbqpoint;
    }

    public static List<String> getXskey() {
        return xskey;
    }

    public  void setXskey(List<String> xskey) {
        ZmConfig.xskey = xskey;
    }

    public static List<String> getXspoint() {
        return xspoint;
    }

    public  void setXspoint(List<String> xspoint) {
        ZmConfig.xspoint = xspoint;
    }

    public static List<String> getDwkkey() {
        return dwkkey;
    }

    public  void setDwkkey(List<String> dwkkey) {
        ZmConfig.dwkkey = dwkkey;
    }

    public static List<String> getDwkpoint() {
        return dwkpoint;
    }

    public  void setDwkpoint(List<String> dwkpoint) {
        ZmConfig.dwkpoint = dwkpoint;
    }

    public static List<String> getPlyqkey() {
        return plyqkey;
    }

    public  void setPlyqkey(List<String> plyqkey) {
        ZmConfig.plyqkey = plyqkey;
    }

    public static List<String> getPlyqpoint() {
        return plyqpoint;
    }

    public  void setPlyqpoint(List<String> plyqpoint) {
        ZmConfig.plyqpoint = plyqpoint;
    }

    public static List<String> getPleqkey() {
        return pleqkey;
    }

    public  void setPleqkey(List<String> pleqkey) {
        ZmConfig.pleqkey = pleqkey;
    }

    public static List<String> getPleqpoint() {
        return pleqpoint;
    }

    public  void setPleqpoint(List<String> pleqpoint) {
        ZmConfig.pleqpoint = pleqpoint;
    }

    public static List<String> getMchkey() {
        return mchkey;
    }

    public  void setMchkey(List<String> mchkey) {
        ZmConfig.mchkey = mchkey;
    }

    public static List<String> getMchpoint() {
        return mchpoint;
    }

    public  void setMchpoint(List<String> mchpoint) {
        ZmConfig.mchpoint = mchpoint;
    }

    public static List<String> getXhkey() {
        return xhkey;
    }

    public  void setXhkey(List<String> xhkey) {
        ZmConfig.xhkey = xhkey;
    }

    public static List<String> getXhpoint() {
        return xhpoint;
    }

    public  void setXhpoint(List<String> xhpoint) {
        ZmConfig.xhpoint = xhpoint;
    }

    public  void setMhskey(List<String> mhskey) {
        ZmConfig.mhskey = mhskey;
    }

    public static List<String> getMhspoint() {
        return mhspoint;
    }

    public  void setMhspoint(List<String> mhspoint) {
        ZmConfig.mhspoint = mhspoint;
    }


}
